Debian Bug report logs - #676329
pu: package publican/2.1-2squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Wed, 6 Jun 2012 08:15:18 UTC

Severity: normal

Tags: pending, squeeze

Fixed in version 6.0.6

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#676329; Package release.debian.org. (Wed, 06 Jun 2012 08:15:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Jun 2012 08:15:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package publican/2.1-2squeeze1
Date: Wed, 06 Jun 2012 10:11:03 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

I would like to update publican in stable as it's missing a dependency and
build-dependency on libio-string-perl. The bug has been fixed ages ago in
unstable (cf #607272) but I never found the time/motivation to fix it in
stable until now.

Please let me know if I can upload it.

The only change is this one:
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+publican (2.1-2squeeze1) stable; urgency=low
+
+  * Add the missing dependency on libio-string-perl. Closes: #607272
+
+ -- Raphaël Hertzog <hertzog@debian.org>  Wed, 06 Jun 2012 09:53:36 +0200
+
 publican (2.1-2) unstable; urgency=low
 
   * Add libtemplate-perl to Depends and Build-Depends. Closes: #590384
diff --git a/debian/control b/debian/control
index 8cecb1a..32ecc7f 100644
--- a/debian/control
+++ b/debian/control
@@ -21,6 +21,7 @@ Build-Depends: debhelper (>= 7.0.50~),
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
+ libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
@@ -62,6 +63,7 @@ Depends: ${perl:Depends}, ${misc:Depends},
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
+ libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,

(The output of debdiff shows no supplementary changes)

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#676329; Package release.debian.org. (Wed, 06 Jun 2012 13:07:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Jun 2012 13:07:42 GMT) Full text and rfc822 format available.

Message #10 received at 676329@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 676329@bugs.debian.org
Subject: Re: Bug#676329: pu: package publican/2.1-2squeeze1
Date: Wed, 6 Jun 2012 14:43:28 +0200
[Message part 1 (text/plain, inline)]
Hello Raphaël,

Raphaël Hertzog <hertzog@debian.org> (06/06/2012):
> I would like to update publican in stable as it's missing a dependency and
> build-dependency on libio-string-perl. The bug has been fixed ages ago in
> unstable (cf #607272) but I never found the time/motivation to fix it in
> stable until now.
> 
> Please let me know if I can upload it.
> 
> The only change is this one:
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -1,3 +1,9 @@
> +publican (2.1-2squeeze1) stable; urgency=low

I think we're usually using 2.1-2+squeeze1, but that would also be fine
I guess.

> +  * Add the missing dependency on libio-string-perl. Closes: #607272

That could mention the build-dependency side too?

Otherwise looks good to me.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#676329; Package release.debian.org. (Wed, 06 Jun 2012 18:47:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Jun 2012 18:47:48 GMT) Full text and rfc822 format available.

Message #15 received at 676329@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>, 676329@bugs.debian.org
Cc: Raphaël Hertzog <hertzog@debian.org>
Subject: Re: Bug#676329: pu: package publican/2.1-2squeeze1
Date: Wed, 06 Jun 2012 18:59:08 +0100
On Wed, 2012-06-06 at 14:43 +0200, Cyril Brulebois wrote:
> Raphaël Hertzog <hertzog@debian.org> (06/06/2012):
> > I would like to update publican in stable as it's missing a dependency and
> > build-dependency on libio-string-perl. The bug has been fixed ages ago in
> > unstable (cf #607272) but I never found the time/motivation to fix it in
> > stable until now.
[...]
> > +publican (2.1-2squeeze1) stable; urgency=low
> 
> I think we're usually using 2.1-2+squeeze1, but that would also be fine
> I guess.

Yep, +squeeze1 is generally preferable as it makes it more obvious that
the package is a post release update and ensures that the version is
higher than any possible pre-existing binNMUs (obviously not an issue
for an arch:all only package).  It's not a blocker though.

> > +  * Add the missing dependency on libio-string-perl. Closes: #607272
> 
> That could mention the build-dependency side too?
> 
> Otherwise looks good to me.

Ditto; thanks for working on fixing this in stable.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#676329; Package release.debian.org. (Thu, 07 Jun 2012 06:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 07 Jun 2012 06:45:07 GMT) Full text and rfc822 format available.

Message #20 received at 676329@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Cyril Brulebois <kibi@debian.org>, 676329@bugs.debian.org
Subject: Re: Bug#676329: pu: package publican/2.1-2squeeze1
Date: Thu, 7 Jun 2012 08:41:33 +0200
Hi,

On Wed, 06 Jun 2012, Adam D. Barratt wrote:
> Yep, +squeeze1 is generally preferable as it makes it more obvious that
> the package is a post release update and ensures that the version is
> higher than any possible pre-existing binNMUs (obviously not an issue
> for an arch:all only package).  It's not a blocker though.
> 
> > > +  * Add the missing dependency on libio-string-perl. Closes: #607272
> > 
> > That could mention the build-dependency side too?
> > 
> > Otherwise looks good to me.
> 
> Ditto; thanks for working on fixing this in stable.

I changed the version, fixed the changelog and uploaded.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#676329; Package release.debian.org. (Thu, 07 Jun 2012 21:36:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 07 Jun 2012 21:36:20 GMT) Full text and rfc822 format available.

Message #25 received at 676329@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Raphael Hertzog <hertzog@debian.org>, 676329@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#676329: pu: package publican/2.1-2squeeze1
Date: Thu, 07 Jun 2012 22:32:57 +0100
tags 676329 + squeeze pending
thanks

On Thu, 2012-06-07 at 08:41 +0200, Raphael Hertzog wrote:
> On Wed, 06 Jun 2012, Adam D. Barratt wrote:
> > Yep, +squeeze1 is generally preferable as it makes it more obvious that
> > the package is a post release update and ensures that the version is
> > higher than any possible pre-existing binNMUs (obviously not an issue
> > for an arch:all only package).  It's not a blocker though.
> > 
> > > > +  * Add the missing dependency on libio-string-perl. Closes: #607272
> > > 
> > > That could mention the build-dependency side too?
> > > 
> > > Otherwise looks good to me.
> > 
> > Ditto; thanks for working on fixing this in stable.
> 
> I changed the version, fixed the changelog and uploaded.

I've flagged the package for acceptance in to p-u; thanks.

Regards,

Adam





Added tag(s) squeeze and pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 07 Jun 2012 21:36:36 GMT) Full text and rfc822 format available.

Marked as fixed in versions 6.0.6. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 14:03:14 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 14:03:14 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sat, 29 Sep 2012 14:03:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:27:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:39:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.